Keywords and GEO
List previously computed keyword suggestions
Does not trigger research, generation or a quota debit.
GET
/
profiles
/
{profile_id}
/
keywords
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "11111111-1111-4111-8111-111111111111",
"profile_id": "22222222-2222-4222-8222-222222222222",
"keyword": "sustainable travel",
"search_volume": 120,
"keyword_difficulty": 24.5,
"cpc": 1.2,
"language": "en",
"is_used": false,
"created_at": "2026-09-24T09:00:00+00:00"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}Authorizations
OAuth2PersonalAPIKey
Path Parameters
Query Parameters
⌘I
Error
A valid request URL is required to generate request examples{
"data": [
{
"id": "11111111-1111-4111-8111-111111111111",
"profile_id": "22222222-2222-4222-8222-222222222222",
"keyword": "sustainable travel",
"search_volume": 120,
"keyword_difficulty": 24.5,
"cpc": 1.2,
"language": "en",
"is_used": false,
"created_at": "2026-09-24T09:00:00+00:00"
}
],
"meta": {
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pagination": {
"limit": 50,
"has_more": true,
"next_cursor": "<string>"
},
"catalog": {
"available_count": 1,
"enriched_count": 1,
"truncated": true
}
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}{
"error": {
"code": "insufficient_quota",
"message": "The current article generation quota is exhausted.",
"request_id": "33333333-3333-4333-8333-333333333333",
"retryable": false
}
}
